# Uses of Class
org.eclipse.swt.graphics.Region

Packages that use Region
Package
Description
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of Region in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics with parameters of type Region
Modifier and Type
Method
Description
`void`
Region.`add(Region region)`
Adds all of the polygons which make up the area covered by the argument to the collection of polygons the receiver maintains to describe its area.
`void`
GC.`getClipping(Region region)`
Sets the region managed by the argument to the current clipping region of the receiver.
`void`
Region.`intersect(Region region)`
Intersects all of the polygons which make up the area covered by the argument to the collection of polygons the receiver maintains to describe its area.
`void`
GC.`setClipping(Region region)`
Sets the area of the receiver which can be changed by drawing operations to the region specified by the argument.
`void`
Region.`subtract(Region region)`
Subtracts all of the polygons which make up the area covered by the argument from the collection of polygons the receiver maintains to describe its area.
`static long`
Region.`win32_getHandle(Region region, int zoom)`
IMPORTANT: This method is not part of the public API for Image.

## Uses of Region in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Region
Modifier and Type
Method
Description
`Region`
Control.`getRegion()`
Returns the region that defines the shape of the control, or null if the control has the default shape.
`Region`
Shell.`getRegion()`
Returns the region that defines the shape of the shell, or `null` if the shell has the default shape.
Methods in org.eclipse.swt.widgets with parameters of type Region
Modifier and Type
Method
Description
`void`
Control.`setRegion(Region region)`
Sets the shape of the control to the region specified by the argument.
`void`
Shell.`setRegion(Region region)`
Sets the shape of the shell to the region specified by the argument.